[![style: lint](https://img.shields.io/badge/style-lint-4BC0F5.svg)](https://pub.dev/packages/lint)

# *Faiadashu™* [(ファイアダッシュ)] — Widgets for Digital Health

### Build healthcare apps fast — use the Flutter™ SDK and follow popular standards in healthcare.

### Features
#### Minor things
* Formatted and localized output of dates / times
* Formatted and localized output of clinical observations
* Localized output of clinical codings
* Development tree view for clinical and administrative data structures
  
![Screenshot](./doc/png/observations.png)

#### The Major Thing: Filler widget for Questionnaires

Supports numerous features described in the FHIR® standard.

![Screenshot](./doc/png/github-teaser.gif)

**Click link below for narrated longer video**

[Demo Video](https://github.com/tiloc/faiadashu/blob/f53a13cbecb707c51534b4bacdd52d72be291506/doc/movies/sdc-example.mp4)

### Related projects
[![Pub Version](https://img.shields.io/pub/v/fhir?label=pub.dev&labelColor=333940&logo=dart)](https://pub.dev/packages/fhir)
This is a user interface add-on to the "fhir" library: https://pub.dev/packages/fhir

Apart from this major dependency this library aims to be as unopinionated as possible and permit its use with many
state management and persistence frameworks.

### Contributing
Contributions and discussions are welcome! This is currently not well-defined yet. I think right now you can simply open
an Issue to get in touch.

### License
MIT License

Copyright (c) 2021 Tilo Christ

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

### Supported versions of Flutter™ SDK
This library depends on Flutter™ SDK 2.0, or later.
Flutter and the related logo are trademarks of Google LLC. We are not endorsed by or affiliated with Google LLC.

### Compliance with the FHIR® standard
This library is not endorsed by Health Level Seven International. It supports a subset of the FHIR R4 specification,
with additional support for a subset of the SDC (Structured Data Capture) profile.

HL7, FHIR and the FHIR [FLAME DESIGN] are the registered trademarks of Health Level Seven International and their use does not constitute endorsement by HL7.

All statements about compliance with a particular FHIR standard are truthful and made as a matter of Fair Use.

### Contained content from LOINC
This material contains content from LOINC (http://loinc.org). LOINC is copyright © 1995-2020, Regenstrief Institute, Inc. and the Logical Observation Identifiers Names and Codes (LOINC) Committee and is available at no cost under the license at http://loinc.org/license. LOINC® is a registered United States trademark of Regenstrief Institute, Inc.

#### Third-Party Content
This product includes all or a portion of the UCUM table, UCUM codes, and UCUM definitions or is derived from it, subject to a license from Regenstrief Institute, Inc. and The UCUM Organization. Your use of the UCUM table, UCUM codes, UCUM definitions also is subject to this license, a copy of which is available at http://unitsofmeasure.org. The current complete UCUM table, UCUM Specification are available for download at http://unitsofmeasure.org. The UCUM table and UCUM codes are copyright © 1995-2020, Regenstrief Institute, Inc. and the Unified Codes for Units of Measures (UCUM) Organization. All rights reserved. THE UCUM TABLE (IN ALL FORMATS), UCUM DEFINITIONS, AND SPECIFICATION ARE PROVIDED "AS IS". ANY EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
